aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/suricata/qa/gnuplot
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/suricata/qa/gnuplot')
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-large-all.sh24
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh26
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file.sh31
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file-stream-vs-http.sh26
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file.sh31
5 files changed, 138 insertions, 0 deletions
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh b/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh
new file mode 100755
index 00000000..f3484fd7
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+#set pointsize 4
+plot "$1" using $2 with $4, for [i in $3] '' using i with $4
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh
new file mode 100755
index 00000000..9942307a
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file-stream-vs-http.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+DRAW="dots"
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+plot "$1" using :32 with $DRAW, \
+ "" using :54 with $DRAW, \
+ "" using :42 with $DRAW
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file.sh b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file.sh
new file mode 100755
index 00000000..08c601e3
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-large-pcap-file.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+DRAW="dots"
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+plot "$1" using :4 with $DRAW, \
+ "" using :11 with $DRAW, \
+ "" using :14 with $DRAW, \
+ "" using :15 with $DRAW, \
+ "" using :20 with $DRAW, \
+ "" using :28 with $DRAW, \
+ "" using :32 with $DRAW, \
+ "" using :40 with $DRAW
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file-stream-vs-http.sh b/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file-stream-vs-http.sh
new file mode 100755
index 00000000..81a53136
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file-stream-vs-http.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+DRAW="boxes"
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+plot "$1" using :32 with $DRAW, \
+ "" using :54 with $DRAW, \
+ "" using :42 with points
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file.sh b/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file.sh
new file mode 100755
index 00000000..01c5ba10
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-small-pcap-file.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+DRAW="lines"
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+plot "$1" using :4 with $DRAW, \
+ "" using :11 with $DRAW, \
+ "" using :14 with $DRAW, \
+ "" using :15 with $DRAW, \
+ "" using :20 with $DRAW, \
+ "" using :28 with $DRAW, \
+ "" using :32 with $DRAW, \
+ "" using :40 with $DRAW
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi